Training
Forward and backward pass
Submit a mini-batch for a combined forward and backward pass. Gradients accumulate until an optimizer step is issued. Poll the returned request identifier for the result.
標頭參數
Foundry-Features
enum
必要
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
路徑參數
sessionId
string
必要
Identifier of the fine-tuning session that will process the batch.
查詢參數
api-version
string
必要
The API version to use for this operation.
要求本文
Training batch and loss configuration for the forward-backward pass.
forward_backward_input
SessionFineTuning.ForwardBackwardInput
必要
Inner payload for a forward-backward request.
data
SessionFineTuning.FineTuningDatum[]
必要
Training examples to process in this batch.
loss_fn
string | enum
必要
Supported loss functions for forward-backward passes.
enum
loss_fn_config
SessionFineTuning.LossFnConfig
Optional per-loss-function hyper-parameters.
clip_low_threshold
number
PPO (Proximal Policy Optimization) / CISPO (Clipped Importance-Sampled Policy Optimization): lower clip threshold.
clip_high_threshold
number
PPO (Proximal Policy Optimization) / CISPO (Clipped Importance-Sampled Policy Optimization): upper clip threshold.
tau_pos
number
SAPO (Soft Adaptive Policy Optimization): positive advantage temperature.
tau_neg
number
SAPO (Soft Adaptive Policy Optimization): negative advantage temperature.
回覆
The request has succeeded.
主體
request_id
string
必要
Request identifier to pass to the session's request-status endpoint.
status
enum
必要
Indicates that the request has not yet completed.
session_id
string
必要
Identifier of the session processing this request.
Request
POST /fine_tuning/sessions/{sessionId}/forward_backward HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json